<ion-header>
    <div id="btnMenu">
        <div class="title">
            Tasks
        </div>
    </div>
</ion-header>

<ion-content>
    <ion-card *ngFor="let task of multitasks.tasks" tappable (click)="onTask(task)">
        <div id="cont">
            <h1 *ngIf="task.percent<100">{{task.percent}}%</h1>
            <h1 class="done" style="color: #0ec254;"
                *ngIf="(task.percent == 100) && ((task.transactionStatus.status == 'confirmed') || (task.transactionStatus.status == 'Waiting for cosignatures'))">
                <ion-icon name="checkmark"></ion-icon>
            </h1>
            <h1 class="done" style="color: #f04141;"
                *ngIf="(task.percent == 100) && !((task.transactionStatus.status == 'confirmed') || (task.transactionStatus.status == 'Waiting for cosignatures'))">
                <ion-icon name="close"></ion-icon>
            </h1>
            <svg id="svg" viewBox="0 0 36 36" class="circular">
                <path *ngIf="task.percent < 100" class="circle" d="M18 2.0845
                    a 15.9155 15.9155 0 0 1 0 31.831
                    a 15.9155 15.9155 0 0 1 0 -31.831" fill="none" stroke="#444" stroke-width="1"
                    [style.stroke-dasharray]="calStrokeDashArray(task)" />
                <path
                    *ngIf="(task.percent == 100) && ((task.transactionStatus.status == 'confirmed') || (task.transactionStatus.status == 'Waiting for cosignatures'))"
                    class="circle circle-done" d="M18 2.0845
                    a 15.9155 15.9155 0 0 1 0 31.831
                    a 15.9155 15.9155 0 0 1 0 -31.831" fill="none" stroke="#444" stroke-width="1"
                    [style.stroke-dasharray]="calStrokeDashArray(task)" />
                <path
                    *ngIf="(task.percent == 100) && !((task.transactionStatus.status == 'confirmed') || (task.transactionStatus.status == 'Waiting for cosignatures'))"
                    class="circle circle-fail" d="M18 2.0845
                    a 15.9155 15.9155 0 0 1 0 31.831
                    a 15.9155 15.9155 0 0 1 0 -31.831" fill="none" stroke="#444" stroke-width="1"
                    [style.stroke-dasharray]="calStrokeDashArray(task)" />
            </svg>
        </div>
        <div>
            <h3>{{task.name}}</h3>
            <p>{{task.type}}</p>
        </div>
    </ion-card>
</ion-content>